# TokyoTyrantQuery::setLimit

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrantQuery::setLimit — Limit results

### Description

public TokyoTyrantQuery::setLimit ([ int `$max` [, int `$skip` ]] ) : mixed

Set the maximum amount of records to return on a query.

### Parameters

`max`

  Maximum amount of records. Default: -1

`skip`

  How many records to skip from the start. Default: -1

### Return Values

This method returns the current object and throws TokyoTyrantException on failure.